de.dhbwstuttgart.syntaxtree.statement

## Class UnaryExpr

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.ExprStmt
      - - de.dhbwstuttgart.syntaxtree.statement.Expr
        - - de.dhbwstuttgart.syntaxtree.statement.UnaryExpr

- All Implemented Interfaces:
    IItemWithOffset, Typeable
  Direct Known Subclasses:
    CastExpr, NegativeExpr, NotExpr, PositivExpr, PostDecExpr, PostIncExpr, PreDecExpr, PreIncExpr

      public abstract class UnaryExpr
      extends Expr

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Expr` | `expr`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

      `usedid`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

      `inferencelog`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `offset, type`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnaryExpr(int offset, int variableLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private Menge<RefType>` | `getNumericTypes()`
    `ConstraintsSet` | `TYPEExpr(TypeAssumptions assumptions)`
    `ConstraintsSet` | `TYPEStmt(TypeAssumptions assumptions)`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

      `get_Name_Menge, get_Name, get_Type_Menge, get_UsedId, set_Type, set_UsedId`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

      `getTypeLineNumber, getTypeName`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, printJavaCode, setReturnType, setType, wandleRefTypeAttributes2GenericAttributes`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, equals, getChildren, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### expr

          public Expr expr

  - ### Constructor Detail

    - #### UnaryExpr

          public UnaryExpr(int offset,
                           int variableLength)

  - ### Method Detail

    - #### getNumericTypes

          private Menge<RefType> getNumericTypes()

    - #### TYPEExpr

          public ConstraintsSet TYPEExpr(TypeAssumptions assumptions)

      Specified by:
        `TYPEExpr` in class `Expr`

    - #### TYPEStmt

          public ConstraintsSet TYPEStmt(TypeAssumptions assumptions)

      Overrides:
        `TYPEStmt` in class `Expr`